summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorrandyl <r.levensalor@cablelabs.com>2016-09-06 09:43:26 -0600
committerFeng Pan <fpan@redhat.com>2016-09-20 19:01:59 +0000
commitfca00dfa3ef9415c517ef6f2819a6b69cd1d4e5a (patch)
tree787e5e5b8ba567a1652783fb91174fbbc74632fd /ci/deploy.sh
parent977324f5c3165422632a6e23cadb7a398f3a81e0 (diff)
Correct time on jump host prior to launching VMs
Since the VMs use ntpdate to set the correct time, the host should also have the correct time. JIRA: APEX-246 Change-Id: I55ba59398f56ad25df283336c8ed75e6a3652fe4 Signed-off-by: Randy Levensalor <r.levensalor@cablelabs.com> (cherry picked from commit c0932570ffd81fdd603a8961b5034916c76edc2e)
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 71433683..764f8fcf 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -223,6 +223,13 @@ main() {
echo -e "${red}Dependency Validation Failed, Exiting.${reset}"
exit 1
fi
+ #Correct the time on the server prior to launching any VMs
+ ntpdate $ntp_server
+ if [ $? == 0 ]; then
+ hwclock --systohc
+ else
+ echo -e "${red} ERROR: ntpdate failed to update the time on the server. ${reset}"
+ fi
setup_undercloud_vm
if [ "$virtual" == "TRUE" ]; then
setup_virtual_baremetal $VM_CPUS $VM_RAM